Word count

Atto ::: atto_count
Maintained by Me!Damyon Wiese
Simple count words plugin for Atto.
Latest release:
982 sites
167 downloads
28 fans
Moodle 2.7, 2.8, 2.9, 3.0, 3.1, 3.2, 3.3, 3.4, 3.5
This uses the Moodle count_words() function so the results will be consistent with core Moodle features like word limits in Assignments.

Sets

This plugin is part of set MoodleCloud.

Screenshots

Screenshot #0

Contributors

Me!
Damyon Wiese (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Fri, Jun 27, 2014, 5:44 AM
    Thanks for your contribution Damyon. I tested the functionality and reviewed the code. Approving now.
  • Fri, Nov 18, 2016, 9:28 AM
    We showed this plugin to a faculty member and it doesn't provide the functionality they were expecting. They wanted to see a live update of the word count without having to press a button. Is that possible?
  • Me!
    Fri, Nov 18, 2016, 9:32 AM
    You would have to poll the server on changes. It can't be done accurately from javascript because it depends on the php multibyte conversions etc.
  • Me!
    Fri, Dec 9, 2016, 9:19 AM
    Updated to mark as compatible with all versions up to Moodle 3.2. There are no code changes.
  • Thu, Apr 27, 2017, 11:35 PM
    Watch out! For those who need an exact count, it seams as I the first word starting from the second line on don't get counted anymore: https://github.com/damyon/moodle-atto_count/issues/6
  • Fri, Oct 6, 2017, 11:48 PM
    not yet 3.3?
  • Thu, Oct 12, 2017, 9:58 AM
    Do you have a development plan for tinymce?
    I am sorry that English is not fluent.
  • Andrew Normore
    Wed, Nov 15, 2017, 4:06 AM
    Working in Moodle 3.3.2 - thank you!
  • Sun, Jun 10, 2018, 11:25 PM
    Hi, your Plugin is great! My students love it. Please update to 3.5!
  • Wed, Sep 11, 2019, 8:20 PM
    Hello!, Do you think update to 3.7 this plugin? It would be cool!
  • Tue, May 18, 2021, 3:59 PM
    Hi, We ask you to update this plugin to 3.9. thank you
  • Al
    Sat, Sep 18, 2021, 9:33 PM
    Please can you update the version this supports to 3.11 so that it automatically installs during an update?
  • Al
    Sun, Oct 24, 2021, 12:21 AM
    Hi, sorry to bother you again. Is there any chance you can change the version number that is supported to include 3.11 I have just updated moodle again and it has not installed your plugin during the upgrade as moodle thinks it will only work on versions up to 3.4. If you can change the version it supports to 3.11, the next time we update it, which we do most weeks, it will install automatically. Thank you.

    I am sorry I seem to have upset you... I have only messaged you twice and these were the messages...

    April - 2019
    Hi

    Please could you update count for Atto. Every time we upgrade moodle, it is not detected so we have to manually go to the moodle website, find the plugin and install it.

    If you should add this I would very much appreciate it, thank you so much.

    AND

    Could you also do the same for Horizontal Rule for Atto. Cheers.

    Then I was blocked. I am sorry if I have offended you with these messages in some way, it was not intentional. I hope you are ok and you can look into this issue for us. Thank you so much, again.
Please login to post comments